Bug 1191084 (CVE-2014-9662)

Summary: CVE-2014-9662 freetype: heap-based buffer overflow in cff/cf2ft.c
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, fonts-bugs, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freetype 2.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-20 13:05:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1191099    
Bug Blocks: 1191102    

Description Vasyl Kaigorodov 2015-02-10 12:50:57 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9662 to the following issue:

cff/cf2ft.c in FreeType before 2.5.4 does not validate the return values of
point-allocation functions, which allows remote attackers to cause a denial of
service (heap-based buffer overflow) or possibly have unspecified other impact
via a crafted OTF font.

http://code.google.com/p/google-security-research/issues/detail?id=185
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=5f201ab5c24cb69bc96b724fd66e739928d6c5e2

Comment 1 Vasyl Kaigorodov 2015-02-10 12:56:17 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Fedora Update System 2015-02-19 18:01:16 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-20 08:30:47 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2015-02-20 13:05:23 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43658

Issue was fixed upstream in 2.5.4.

The CFF parsing code affected by this issue was only introduced in upstream version 2.4.12, and enabled by default in 2.5.  The affected code is not in freetype packages in Red Hat Enterprise Linux 7 and earlier, which are based on earlier upstream versions.

Statement:

Not vulnerable. This issue did not affect the versions of freetype as shipped with Red Hat Enterprise Linux 5, 6 and 7.